# Find Spreadsheet Row

Finds a row in Google Sheets

#### Sheet

* Google Sheet to search through

#### **Condition**

* Conditions to use to find the spreadsheet row
  * Text conditions (e.g. "Text is exactly", "Text contains") are case-insensitive

#### **Search from bottom of the sheet**

* Whether to start searching from the bottom of the sheet rather than from the top
  * Allows getting the most recent result if there are multiple matches

#### Variable to assign row number

* Variable to store the row number
  * The row number will be -1 if there is no match
  * The "[Row number exists/does not exist](https://docs.browserflow.app/guides/conditions#spreadsheets)" conditions can be used to check if there's a match
  * Can be used for updating row values with [Update Spreadsheet Row](https://docs.browserflow.app/reference/browserflow-commands/spreadsheet/update-spreadsheet-row)

### Use cases

* Checking to see if an item already exists in a spreadsheet to avoid adding duplicates


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/spreadsheet/find-spreadsheet-row.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
